<?
require('cfg/db.php');
require('cfg/db_func.php');
require('cfg/sess.php');
require('cfg/validation.php');

$login_flag = sess_check();

?>

<!DOCTYPE html
PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>Paper Management - la bibliothque - Add Data</title>
<link rel="stylesheet" type="text/css" href="site.css" />
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"/>
<script language="JavaScript" type="text/javascript" src="forms.js"></script>
</head>
<body>
<?
include('nav/top.php');
include('nav/papers.php');
$table = "papers";

echo '<div class="mbody">';

// if user submits something
if(isset($_POST['submitrecord'])) {

db_connect ($dbhost, $dbuser, $dbpass);

$PaperTitle = rtrim(substr($_POST['PaperTitle'], 0, 1024));
$Abstract = rtrim(substr($_POST['Abstract'], 0, 16384));
$Citation = rtrim(substr($_POST['Citation'], 0, 8192));
$LinkNo = rtrim(substr($_POST['LinkNo'], 0, 8));
$PaperNo = rtrim($_POST['PaperNo']);
$ImgURL = rtrim(substr($_POST['ImgURL'], 0, 128));
$SubmittedBy = rtrim(substr($_POST['SubmittedBy'], 0, 128));
$CategoryID = rtrim(substr($_POST['CategoryID'], 0, 8));

checkRecord($table, 'PaperNo', $PaperNo, 'paper number');
validate_paper_input($CategoryID, $ImgURL, $PaperNo, $LinkNo, '');
$PaperTitle = add_slashes($PaperTitle);
$Abstract = add_slashes($Abstract);
$Citation = add_slashes($Citation);

$sql = "INSERT INTO $table SET
		PaperTitle = '$PaperTitle',
		Abstract = '$Abstract',
		Citation = '$Citation',
		LinkNo = '$LinkNo',
		PaperNo = '$PaperNo',
		ImgURL = '$ImgURL',
		SubmittedBy = '$SubmittedBy',
		UpdatedBy = '$SubmittedBy',
		CategoryID = '$CategoryID',
		DateCreated = NOW(),
		DateModified = NOW()";

if (@mysql_query($sql)) {
	echo 'Data added successfully!<br /><br />
Title: ' . stripslashes($PaperTitle) . '<br /><br />
Abstract: ' . $Abstract . '<br /><br />
Citation: ' . stripslashes($Citation) . '<br /><br />
Paper Image: ' . $ImgURL . '<br /><br />
Paper Link Number: ' . $LinkNo . '<br /><br />
Paper Number: ' . $PaperNo . '<br /><br />
Submitted By: ' . $SubmittedBy . '<br /><br />
Date Added: ' . date('d F Y H:i') . '<br /><br />
<a href="add_data.php">Back to Add Data Page</a>';
	}

else {
	die('Error adding data.<br>' . mysql_error() . '<br/><br/>');
}

mysql_close();

}
// end submit data

else {
echo '<div class="header3">Add a Paper</div>
<form action="add_data.php" name="paper" method="post" onsubmit="return checkPaperForm()"> 
Paper Title:<br/> <span style="margin-left: 30px;"><input type="text" name="PaperTitle" size="85" maxlength="2048" value="" /></span><br/><br/>
Paper Abstract: <br />
<span style="margin-left: 30px;"><textarea name="Abstract" rows="18" cols="80" maxlength="16348"></textarea></span>
<br /><br />
Paper Citation: <br />
<span style="margin-left: 30px;"><textarea name="Citation" rows="8" cols="80"></textarea></span>
<br /><br />
Paper Link Number: <input type="text" name="LinkNo" size="3" maxlength="8" /><br /><br />
Paper ID: <input type="text" name="PaperNo" size="5" maxlength="8" /><br /><br />
Paper Image URL: <input type="text" name="ImgURL" size="10" maxlength="128" /><br /><br />
Submitted By: <input type="hidden" name="SubmittedBy" value="' . $_SESSION['user'] . '">' . $_SESSION['user'] . '<br/><br/>
Added: ' . date('d F Y H:i') . '<br /><br />
Category: ';

db_connect ($dbhost, $dbuser, $dbpass);
$result = mysql_query('SELECT ID, Category, CategoryID FROM categories ORDER BY CategoryID ASC');
list_categories($result, null);
mysql_close();

echo '<br/><br/>
<input type="submit" name="submitrecord" value="Add Paper" />
<input type="reset" name="clear" value="Clear" />
</form>';
}

echo '</div>';
include('nav/bottom.php');
?>


</body>
</html>